TooN: GenericMBase< Rows, Cols, Precision, RowStride, ColStride, Mem > Struct Template Reference

TooN 2.0.0-beta8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes
GenericMBase< Rows, Cols, Precision, RowStride, ColStride, Mem > Struct Template Reference
Inheritance diagram for GenericMBase< Rows, Cols, Precision, RowStride, ColStride, Mem >:

List of all members.

## Public Types
typedef Vector< Cols, Precision, SliceVBase < SliceColStride > > | Vec
typedef Vector< Cols, const Precision, SliceVBase < SliceColStride > > | CVec
## Public Member Functions
int | rowstride () const
int | colstride () const
| GenericMBase (Precision *p)
| GenericMBase (Precision *p, int r, int c, int rowstride, int colstride)
| GenericMBase (int r, int c)
template<class Op >
| GenericMBase (const Operator< Op > &op)
Precision & | operator() (int r, int c)
const Precision & | operator() (int r, int c) const
Precision & | operator[] (const std::pair< int, int > &index)
const Precision & | operator[] (const std::pair< int, int > &index) const
Vec | operator[] (int r)
const CVec | operator[] (int r) const
template<int Rstart, int Cstart, int Rlength, int Clength>
Matrix< Rlength, Clength, Precision, Slice < SliceRowStride, SliceColStride > > | slice (int rs, int cs, int rl, int cl)
template<int Rstart, int Cstart, int Rlength, int Clength>
const Matrix< Rlength, Clength, const Precision, Slice < SliceRowStride, SliceColStride > > | slice (int rs, int cs, int rl, int cl) const
template<int Rstart, int Cstart, int Rlength, int Clength>
Matrix< Rlength, Clength, Precision, Slice < SliceRowStride, SliceColStride > > | slice ()
template<int Rstart, int Cstart, int Rlength, int Clength>
const Matrix< Rlength, Clength, const Precision, Slice < SliceRowStride, SliceColStride > > | slice () const
Matrix<-1,-1, Precision, Slice < SliceRowStride, SliceColStride > > | slice (int rs, int cs, int rl, int cl)
const Matrix<-1,-1, const Precision, Slice < SliceRowStride, SliceColStride > > | slice (int rs, int cs, int rl, int cl) const
Matrix< Cols, Rows, Precision, Slice< SliceColStride, SliceRowStride > > | T ()
const Matrix< Cols, Rows, const Precision, Slice < SliceColStride, SliceRowStride > > | T () const
Vector< DiagSize, Precision, SliceVBase< DiagStride > > | diagonal_slice ()
Vector< DiagSize, const Precision, SliceVBase < DiagStride > > | diagonal_slice () const
## Static Public Attributes
static const int | SliceRowStride = RowStride == -2?-1: RowStride
static const int | SliceColStride = ColStride == -2?-1: ColStride
static const int | DiagSize = Internal::DiagSize<Rows, Cols>::size
static const int | DiagStride = Internal::DiagStride<SliceRowStride, SliceColStride>::stride

### template<int Rows, int Cols, class Precision, int RowStride, int ColStride, class Mem>
struct TooN::Internal::GenericMBase< Rows, Cols, Precision, RowStride, ColStride, Mem >